ALSA project - the C library reference: snd_tplg_hw_config_template Struct Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_tplg_hw_config_template Struct Reference
Topology Interface

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats. More...

`#include <topology.h>`

## Data Fields
int | id
unsigned int | fmt
unsigned char | clock_gated
unsigned char | invert_bclk
unsigned char | invert_fsync
unsigned char | bclk_provider
unsigned char | fsync_provider
unsigned char | mclk_direction
unsigned short | reserved
unsigned int | mclk_rate
unsigned int | bclk_rate
unsigned int | fsync_rate
unsigned int | tdm_slots
unsigned int | tdm_slot_width
unsigned int | tx_slots
unsigned int | rx_slots
unsigned int | tx_channels
unsigned int * | tx_chanmap
unsigned int | rx_channels
unsigned int * | rx_chanmap

## Detailed Description

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats.

## Field Documentation

## ◆ bclk_provider

unsigned char snd_tplg_hw_config_template::bclk_provider

SND_SOC_TPLG_BCLK_ value

## ◆ bclk_rate

unsigned int snd_tplg_hw_config_template::bclk_rate

BCLK freqency in Hz

## ◆ clock_gated

unsigned char snd_tplg_hw_config_template::clock_gated

SND_SOC_TPLG_DAI_CLK_GATE_ value

## ◆ fmt

unsigned int snd_tplg_hw_config_template::fmt

SND_SOC_DAI_FORMAT_ format value

## ◆ fsync_provider

unsigned char snd_tplg_hw_config_template::fsync_provider

SND_SOC_TPLG_FSYNC_ value

## ◆ fsync_rate

unsigned int snd_tplg_hw_config_template::fsync_rate

frame clock in Hz

## ◆ id

int snd_tplg_hw_config_template::id

unique ID - - used to match

## ◆ invert_bclk

unsigned char snd_tplg_hw_config_template::invert_bclk

1 for inverted BCLK, 0 for normal

## ◆ invert_fsync

unsigned char snd_tplg_hw_config_template::invert_fsync

1 for inverted frame clock, 0 for normal

## ◆ mclk_direction

unsigned char snd_tplg_hw_config_template::mclk_direction

SND_SOC_TPLG_MCLK_ value

## ◆ mclk_rate

unsigned int snd_tplg_hw_config_template::mclk_rate

MCLK or SYSCLK freqency in Hz

## ◆ reserved

unsigned short snd_tplg_hw_config_template::reserved

for 32bit alignment

## ◆ rx_chanmap

unsigned int* snd_tplg_hw_config_template::rx_chanmap

array of slot number

## ◆ rx_channels

unsigned int snd_tplg_hw_config_template::rx_channels

number of Rx channels

## ◆ rx_slots

unsigned int snd_tplg_hw_config_template::rx_slots

bit mask for active Rx slots

## ◆ tdm_slot_width

unsigned int snd_tplg_hw_config_template::tdm_slot_width

width in bits for each slot

## ◆ tdm_slots

unsigned int snd_tplg_hw_config_template::tdm_slots

number of TDM slots in use

## ◆ tx_chanmap

unsigned int* snd_tplg_hw_config_template::tx_chanmap

array of slot number

## ◆ tx_channels

unsigned int snd_tplg_hw_config_template::tx_channels

number of Tx channels

## ◆ tx_slots

unsigned int snd_tplg_hw_config_template::tx_slots

bit mask for active Tx slots

The documentation for this struct was generated from the following file:

- /tmp/work/src/alsa-lib-1.2.12/include/topology.h